%define source_name bluez-libs

Name: libbluez
Version: 3.10
Release: alt1

Group: System/Libraries
Summary: Bluetooth runtime libraries
License: GPL
Url: http://www.bluez.org/

Source0: %source_name-%version.tar.gz
Source1: libbluetooth.map

Packager: Mobile Development Team <mobile@packages.altlinux.org>

%def_disable static

%package devel
Summary: Bluetooth development libraries
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Bluetooth static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description
This package contains Bluetooth communication runtime libraries for Linux.

%description devel
This package contains Bluetooth communication development files for Linux.

%description devel-static
This package contains Bluetooth communication static libraries for Linux.

%prep
%setup -n %source_name-%version

%build
%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%{?_enable_static:export lt_cv_prog_cc_static_works=yes}
%configure %{subst_enable static}
%make_build LDFLAGS="-Wl,--version-script=%SOURCE1 -Wl,-z,defs"

%install
mkdir -p %buildroot%_includedir/bluetooth
%makeinstall
mv %buildroot%_includedir/*.h %buildroot%_includedir/bluetooth/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog README
%_libdir/*.so.*

%files devel
%_libdir/pkgconfig/*.pc
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Fri May 11 2007 Andrey Rahmatullin <wrar@altlinux.ru> 3.10-alt1
- 3.10
- add version script for libbluetooth.so.2

* Mon Jan 29 2007 Andrey Rahmatullin <wrar@altlinux.ru> 3.9-alt1
- 3.9

* Tue Dec 26 2006 Andrey Rahmatullin <wrar@altlinux.ru> 3.8-alt1
- 3.8

* Mon Nov 06 2006 Andrey Rahmatullin <wrar@altlinux.ru> 3.7-alt2
- Sisyphus build
- remove Provides: libsdp.so.2 (#5672, #9435)

* Fri Oct 27 2006 Igor Zubkov <icesik@altlinux.org> 3.7-alt1
- 3.3 -> 3.7
- add packager tag
- fix license from LGPL to GPL

* Wed Aug 23 2006 Grigory Milev <week@altlinux.ru> 3.3-alt1
- new version released

* Tue Feb 21 2006 Grigory Milev <week@altlinux.ru> 2.25-alt1
- new version released

* Mon Aug 22 2005 Grigory Milev <week@altlinux.ru> 2.19-alt1
- new version released

* Thu Mar 17 2005 Grigory Milev <week@altlinux.ru> 2.15-alt2
- remove orphaned libsdp

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt1
- new version released

* Tue Jan 11 2005 Grigory Milev <week@altlinux.ru> 2.13-alt1
- new version released

* Sat Sep 25 2004 Dmitry V. Levin <ldv@altlinux.org> 2.10-alt2
- Moved static library to separate subpackage.
- Do not build static library by default.
- Added pkgconfig file.
- Fixed package tags.
- Fixed libsdp.so.2 problem.

* Thu Sep 23 2004 Grigory Milev <week@altlinux.ru> 2.10-alt1
- new version released

* Mon Jun 21 2004 Grigory Milev <week@altlinux.ru> 2.7-alt1
- new version released

* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 2.5-alt1
- new version released

* Fri Dec 12 2003 Grigory Milev <week@altlinux.ru> 2.4-alt2
- remove *.la files due policy

* Tue Oct 14 2003 Grigory Milev <week@altlinux.ru> 2.4-alt1
- new version released

* Tue Feb 18 2003 Grigory Milev <week@altlinux.ru> 2.3-alt1
- new version released

* Fri Dec 20 2002 Grigory Milev <week@altlinux.ru> 2.2-alt1
- Initial build.
